# -*- coding: utf-8 -*-
import time
import traceback
from config import set_config
from log import Log
from utils import execute_sql_from_odps
from db_helper import RedisHelper
from datetime import datetime, timedelta

from alg_recsys_recall_4h_region_trend import records_process_for_list
config_, _ = set_config()
log_ = Log()
redis_helper = RedisHelper()



def main():
    date_write = ""
    while True:
        date_cur = datetime.now().strftime("%Y-%m-%d %H:%M")
        if "2024-05-07 16:" in date_cur:
            print("退出")
            break
        # if date_write == date_cur:
        #     time.sleep(10)
        #     continue

        for level in ["1", "2", "3", "4"]:
            key = "flow:pool:level:item:4:" + level
            result = redis_helper.get_data_from_set(key)
            if not result:
                result = []
            size = len(result)
            log_str = "\t".join([date_cur, level, str(size)])
            print(log_str)
        time.sleep(20)
        # date_write = datetime.now().strftime("%Y-%m-%d %H:%M")


if __name__ == '__main__':
    main()




# cd /root/zhangbo/rov-offline
# nohup python alg_recsys_coldstart_offlinecheck.py > p.log 2>&1 &